unofficial mirror of guix-patches@gnu.org 
 help / color / mirror / Atom feed
* [bug#51986] [PATCH] Add tlpui
@ 2021-11-19 21:36 Nicolas Goaziou
  2021-11-25 12:38 ` Mathieu Othacehe
  0 siblings, 1 reply; 3+ messages in thread
From: Nicolas Goaziou @ 2021-11-19 21:36 UTC (permalink / raw)
  To: 51986

[-- Attachment #1: Type: text/plain, Size: 85 bytes --]

Hello,

The following patch adds TLPUI to "linux.scm".

Regards,
-- 
Nicolas Goaziou

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: Add TLPUI --]
[-- Type: text/x-diff, Size: 3138 bytes --]

From 701601c421713157c13f6fd2c649b7e69fc079fd Mon Sep 17 00:00:00 2001
Message-Id: <701601c421713157c13f6fd2c649b7e69fc079fd.1637357746.git.mail@nicolasgoaziou.fr>
From: Nicolas Goaziou <mail@nicolasgoaziou.fr>
Date: Fri, 19 Nov 2021 22:35:25 +0100
Subject: [PATCH] gnu: Add tlpui.

* gnu/packages/linux.scm (tlpui): New variable.
---
 gnu/packages/linux.scm | 55 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 1d005de1db..17a702c73e 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -6874,6 +6874,61 @@ (define-public tlp
     ;; rest is GPLv2+.
     (license (list license:gpl2+ license:gpl3+))))
 
+(define-public tlpui
+  (package
+    (name "tlpui")
+    (version "1.4.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/d4nj1/TLPUI")
+             (commit (string-append "tlpui-" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1sd380inkiq8mljnzjd8p69a6cnwv19v2793358v3ws1mr55x127"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #false
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-setup.py
+           ;; Install data_files to $out/share instead of /usr/share.
+           (lambda _
+             (substitute* "setup.py"
+               (("/usr/") ""))))
+         (add-after 'unpack 'use-tlp-input
+           ;; Hard-code tlp-stat filename to avoid propagating "tlp".
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((tlp-stat (string-append (assoc-ref inputs "tlp")
+                                            "/bin/tlp-stat")))
+               (substitute* '("tlpui/file.py"
+                              "tlpui/settingshelper.py"
+                              "tlpui/statui.py")
+                 (("which\\(\"tlp-stat\"\\)") (string-append "'" tlp-stat "'"))
+                 (("\"tlp-stat\"") (string-append "'" tlp-stat "'"))))))
+         (add-after 'install 'wrap-gi-python
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out"))
+                   (gi-typelib-path (getenv "GI_TYPELIB_PATH")))
+               (wrap-program (string-append out "/bin/tlpui")
+                 `("GI_TYPELIB_PATH" ":" prefix (,gi-typelib-path)))))))))
+    (native-inputs
+     `(("glib:bin" ,glib "bin")
+       ("gobject-introspection" ,gobject-introspection)))
+    (inputs
+     `(("gtk+" ,gtk+)
+       ("python-pygobject" ,python-pygobject)
+       ("tlp" ,tlp)))
+    (home-page "https://github.com/d4nj1/TLPUI")
+    (synopsis "User interface for TLP written in Python")
+    (description
+     "The Python scripts in this project generate a GTK-UI to change
+TLP configuration files easily.  It has the aim to protect users from
+setting bad configuration and to deliver a basic overview of all the
+valid configuration values.")
+    (license license:gpl2+)))
+
 (define-public lshw
   (package
     (name "lshw")
-- 
2.34.0


^ permalink raw reply	[flat|nested] 3+ messages in thread

* [bug#51986] [PATCH] Add tlpui
  2021-11-19 21:36 [bug#51986] [PATCH] Add tlpui Nicolas Goaziou
@ 2021-11-25 12:38 ` Mathieu Othacehe
  2021-11-26  8:36   ` Nicolas Goaziou
  0 siblings, 1 reply; 3+ messages in thread
From: Mathieu Othacehe @ 2021-11-25 12:38 UTC (permalink / raw)
  To: Nicolas Goaziou; +Cc: 51986


Hello Nicolas,

> * gnu/packages/linux.scm (tlpui): New variable.

When trying to build the following patch on the c-u-f branch, I have the
following error:

--8<---------------cut here---------------start------------->8---
phase `check' succeeded after 0.0 seconds
starting phase `sanity-check'
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
validating 'TLPUI' /gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages
...checking requirements: OK
...trying to load module tlpui: OK
...trying to load endpoint gui_scripts tlpui: ERROR:
Traceback (most recent call last):
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/pathlib.py", line 1313, in mkdir
    self._accessor.mkdir(self, mode)
FileNotFoundError: [Errno 2] No such file or directory: '/homeless-shelter/.config/tlpui'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/pathlib.py", line 1313, in mkdir
    self._accessor.mkdir(self, mode)
FileNotFoundError: [Errno 2] No such file or directory: '/homeless-shelter/.config'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py", line 85, in <module>
    ep.load()
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2450, in load
    return self.resolve()
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/site-packages/pkg_resources/__init__.py", line 2456, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages/tlpui/__main__.py", line 8, in <module>
    from . import settings
  File "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages/tlpui/settings.py", line 13, in <module>
    userconfig = settingshelper.UserConfig()
  File "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages/tlpui/settingshelper.py", line 53, in __init__
    self.read_user_config()
  File "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages/tlpui/settingshelper.py", line 71, in read_user_config
    self.userconfigfile.parent.mkdir(parents=True, exist_ok=True)
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/pathlib.py", line 1317, in mkdir
    self.parent.mkdir(parents=True, exist_ok=True)
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/pathlib.py", line 1317, in mkdir
    self.parent.mkdir(parents=True, exist_ok=True)
  File "/gnu/store/p5fgysbcnnp8b1d91mrvjvababmczga0-python-3.9.6/lib/python3.9/pathlib.py", line 1313, in mkdir
    self._accessor.mkdir(self, mode)
PermissionError: [Errno 13] Permission denied: '/homeless-shelter'
error: in phase 'sanity-check': uncaught exception:
%exception #<&invoke-error program: "python" arguments: ("/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py" "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `sanity-check' failed after 0.2 seconds
command "python" "/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py" "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages" failed with status 1
note: keeping build directory `/tmp/guix-build-tlpui-1.4.0.drv-1'
builder for `/gnu/store/2xbpy0qsqr6pqaa5vwcs6l8mxyahadg5-tlpui-1.4.0.drv' failed with exit code 1
build of /gnu/store/2xbpy0qsqr6pqaa5vwcs6l8mxyahadg5-tlpui-1.4.0.drv failed
View build log at '/var/log/guix/drvs/2x/bpy0qsqr6pqaa5vwcs6l8mxyahadg5-tlpui-1.4.0.drv.bz2'.
guix build: error: build of `/gnu/store/2xbpy0qsqr6pqaa5vwcs6l8mxyahadg5-tlpui-1.4.0.drv' failed
--8<---------------cut here---------------end--------------->8---

Any idea what could go wrong?

Thanks,

Mathieu




^ permalink raw reply	[flat|nested] 3+ messages in thread

* [bug#51986] [PATCH] Add tlpui
  2021-11-25 12:38 ` Mathieu Othacehe
@ 2021-11-26  8:36   ` Nicolas Goaziou
  0 siblings, 0 replies; 3+ messages in thread
From: Nicolas Goaziou @ 2021-11-26  8:36 UTC (permalink / raw)
  To: Mathieu Othacehe; +Cc: 51986

Hello,

Mathieu Othacehe <othacehe@gnu.org> writes:

Thanks for the feedback.

> When trying to build the following patch on the c-u-f branch, I have the
> following error:

[...]

> error: in phase 'sanity-check': uncaught exception:
> %exception #<&invoke-error program: "python" arguments: ("/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py" "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages") exit-status: 1 term-signal: #f stop-signal: #f> 
> phase `sanity-check' failed after 0.2 seconds
> command "python" "/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py" "/gnu/store/xjvdm652mfks314s1lnvwinn6pnrbz5a-tlpui-1.4.0/lib/python3.9/site-packages" failed with status 1

I disabled tests in the package definition because the program insists
on reading "/etc" directory. 

However, c-u-f added a new phase, `sanity-check' which has the same
issue (trying to read "/etc"). We could delete that phase too, but I'm
not sure about the consequences.

Meawhile, there's the upstream pending open issue:
<https://github.com/d4nj1/TLPUI/issues/86>

Regards,
-- 
Nicolas Goaziou




^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-11-26  8:37 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-11-19 21:36 [bug#51986] [PATCH] Add tlpui Nicolas Goaziou
2021-11-25 12:38 ` Mathieu Othacehe
2021-11-26  8:36   ` Nicolas Goaziou

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).